### Method

# EDataServer SourceWebdav set_uri

since: 3.46

#### Declaration [src]

    void
    e_source_webdav_set_uri (
      ESourceWebdav* extension,
      GUri* uri
    )

#### Description [src]

This is a convenience function which propagates the components of `uri` to the `ESourceAuthentication` extension, the `ESourceSecurity` extension, and `extension` itself. (The “fragment” component of `uri` is ignored.).

Available since: 3.46

Sets property | `EDataServer.SourceWebdav:uri`

#### Parameters

`uri`

  Type: `GUri`

  A `GUri`.

  The data is owned by the caller of the method.